<template>
  <div id="Form-Product">
    <article class="icon">
      <image-uploader
        :preview="true"
        :className="['fileinput', { 'fileinput--loaded': category.hasImage }]"
        capture="environment"
        :debug="1"
        doNotResize="gif"
        :autoRotate="true"
        outputFormat="verbose"
        @input="setImage"
      >
        <label for="fileInput" slot="upload-label">
          <figure>
            <svg
              xmlns="http://www.w3.org/2000/svg"
              width="32"
              height="32"
              viewBox="0 0 32 32"
            >
              <path
                class="path1"
                d="M9.5 19c0 3.59 2.91 6.5 6.5 6.5s6.5-2.91 6.5-6.5-2.91-6.5-6.5-6.5-6.5 2.91-6.5 6.5zM30 8h-7c-0.5-2-1-4-3-4h-8c-2 0-2.5 2-3 4h-7c-1.1 0-2 0.9-2 2v18c0 1.1 0.9 2 2 2h28c1.1 0 2-0.9 2-2v-18c0-1.1-0.9-2-2-2zM16 27.875c-4.902 0-8.875-3.973-8.875-8.875s3.973-8.875 8.875-8.875c4.902 0 8.875 3.973 8.875 8.875s-3.973 8.875-8.875 8.875zM30 14h-4v-2h4v2z"
              />
            </svg>
          </figure>
          <span class="upload-caption">{{
            category.hasImage ? 'Replace' : 'Click to upload'
          }}</span>
        </label>
      </image-uploader>
    </article>
    <article class="product-info">
      <p>
        <input
          type="text"
          class="name-input"
          placeholder="Introduce el nombre del producto"
          v-model="category.categoryName"
        />
      </p>

      <section class="buttons">
        <v-btn
          small
          color="green"
          class="addCategory"
          @click="confirmSavingNewCategory(category.idCategory)"
          >AÑADIR</v-btn
        >

        <v-btn
          small
          color="orange"
          v-on:click="cancelAddingCategory()"
          class="cancel-edit"
          >cancel</v-btn
        >
      </section>
    </article>
  </div>
</template>

<script>
import ImageUploader from 'vue-image-upload-resize'
export default {
  name: 'AddNewCategory',
  components: {
    ImageUploader
  },
  props: {},
  data() {
    return {
      category: {
        categoryName: ' ',
        hasImage: false,
        image: ' '
      }
    }
  },

  methods: {
    setImage(output) {
      this.category.hasImage = true
      this.category.image = output
    },
    confirmSavingNewCategory() {
      var r = confirm('Quieres añadir esta categoria!')
      if (r == true) {
        this.saveNewCategoryDetails()
      }
    },

    saveNewCategoryDetails() {
      this.$emit('add-new-category-event', this.category)
    },
    cancelAddingCategory() {
      this.$emit('cancel-add-category-event')
    }
  }
}
</script>

<style scoped>
#product-details {
  display: flex;
  justify-content: space-around;
}
.buttons {
  display: flex;

  justify-content: space-around;
}
</style>
